# GHI Label Maker

Utility for copying GitHub issue labels from a source repo to target repo(s). Use `*` to copy/update labels for all authorized repos in an organization.

## Installation

    $ gem install ghi_label_maker

## Usage

Start with:

    $ label_maker

The first time it runs, it'll prompt you for your GitHub username and password. For convenience the gem will save your GitHub credentials to your `.netrc` file.

    Welcome to LabelMaker!
    Please login with your GitHub account:
    GitHub Username: 
    $ MyUsername
    Password (hidden):
    $ 
    Successful GitHub login!

After you have logged in it'll prompt you for a source repository to copy labels from:

    Source repo (ex. username/source-repo):
    $ username/my-test-repo

After providing the source repository you will need to provide a target repository to copy labels to.  When entering the repository name, you can enter any repository that your GitHub account has access to.  This includes your public, private & organinzation repository. To copy labels to all repositories that you have access to, use the `*` symbol as shown below.

    Target repo (ex. username/target-repo or organization/*):
    $ username/*


Then you will be given the option to delete all labels in the target repository that aren't assigned to an issue:

    Delete labels in target repo with 0 issues? (y/n)
    $ y

    Deleting labels from username/target-repo that are not associated with an issue!
      Ignoring chore
      Deleting flagged

    Copying labels to username/target-repo!
      Added           - color: d4c5f9 with name: bug
      Updated         - color: c4c4c4 with name: enhancement
      Already Exsists - color: 3f3f3f with name: feature
      Labels from username/source-repo have been copied to username/target-repo

## Contributing

1. Fork it ( https://github.com/topgunhq/label-maker/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
